package com.energy.manage.common.exception;

public class UserNotLoginException extends RuntimeException {
  private Long userId;
  private String userKey;

  public Long getUserId() {
    return userId;
  }

  public void setUserId(Long userId) {
    this.userId = userId;
  }

  public String getUserKey() {
    return userKey;
  }

  public void setUserKey(String userKey) {
    this.userKey = userKey;
  }

  public UserNotLoginException(){}

  public UserNotLoginException(Long userId, String userKey){
    this.userId = userId;
    this.userKey = userKey;
  }
}
